Subject: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Ihor Radchenko <[email-masked]>
Date: Thu, 25 Jan 2024 22:53:45 +0000

Kévin Le Gouguec <[email-masked]> writes:

>> I do not see anything wrong on the Org side.
>> Maybe Emacs should not apply :extent t attribute to the newline when the
>> text in fontified line is hidden?
>
> IIUC, this is bug#52587?
>
> The conclusion there, AFAIR, was "it's unfortunate, but that's the
> design for now; let's rediscuss when we see some patches for outline.el
> (or the specific modes that use extended backgrounds)".

I fixed the problem on Org side in bug#65896.
I think that this bug report and maybe even bug#52587 can be closed.
Unless it is still of interest to develop some solution on Emacs side.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>